Subject: Re: bug#46973: 26.3; (elisp) `Face Remapping'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Mar 2021 12:35:34 +0200

> From: Drew Adams <[email-masked]>
> Date: Sat, 6 Mar 2021 18:16:07 +0000
> 
> But if I do something like this, where SPECS (being a &rest arg) is the list `(variable-pitch)', which is a list of face names:
> 
> (add-hook 'some-mode-hook
>           (lambda ()
>             (face-remap-set-base 'default 'variable-pitch)))
> 
> I get an error saying that `variable-pitch' isn't a list.
> (And trying '(variable-pitch) instead gives the same error.)
> 
> I'm probably missing something - what is it?  Or is it possible that
> `face-remap-set-base' has a different meaning of SPECS?

The doc string of face-remap-set-base says:

  The remaining arguments, SPECS, specify the base of the remapping.
  Each one of SPECS should be either a face name or a property list
  of face attribute/value pairs, like in a ‘face’ text property.